% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gt_img_circle.R
\name{gt_img_border}
\alias{gt_img_border}
\title{Create an identifier line border at the bottom of an image}
\usage{
gt_img_border(
  gt_object,
  column,
  height = 25,
  width = 25,
  border_color = "black",
  border_weight = 2.5
)
}
\arguments{
\item{gt_object}{An existing gt object}

\item{column}{The column to apply the transformation to}

\item{height}{A number indicating the height of the image in pixels.}

\item{width}{A number indicating the width of the image in pixels.}

\item{border_color}{The color of the circular border, can either be a single value ie (\code{white} or \verb{#FF0000}) or a vector where the length of the vector is equal to the number of rows.}

\item{border_weight}{A number indicating the weight of the border in pixels.}
}
\value{
a gt object
}
\description{
Create an identifier line border at the bottom of an image
}
\section{Examples}{


\if{html}{\out{<div class="sourceCode r">}}\preformatted{library(gt)
gt_img_tab <- dplyr::tibble(
  x = 1:4,
  names = c("Waking Up",  "Wiggling", "Sleep"," Glamour"),
  img = c(
     "https://pbs.twimg.com/media/EiIY-1fXgAEV6CJ?format=jpg&name=360x360",
     "https://pbs.twimg.com/media/EiIY-1fXcAIPdTS?format=jpg&name=360x360",
     "https://pbs.twimg.com/media/EiIY-1mX0AE-YkC?format=jpg&name=360x360",
     "https://pbs.twimg.com/media/EiIY-2cXYAA1VaO?format=jpg&name=360x360"
  )
) \%>\%
  gt() \%>\%
  gt_img_border(img)
}\if{html}{\out{</div>}}
}

\section{Figures}{

\if{html}{\figure{gt_img_circle.png}{options: width=80\%}}
}

\seealso{
Other Utilities: 
\code{\link{add_text_img}()},
\code{\link{fa_icon_repeat}()},
\code{\link{fmt_pad_num}()},
\code{\link{fmt_pct_extra}()},
\code{\link{fmt_symbol_first}()},
\code{\link{generate_df}()},
\code{\link{gt_add_divider}()},
\code{\link{gt_badge}()},
\code{\link{gt_double_table}()},
\code{\link{gt_duplicate_column}()},
\code{\link{gt_fa_rank_change}()},
\code{\link{gt_fa_rating}()},
\code{\link{gt_highlight_cols}()},
\code{\link{gt_highlight_rows}()},
\code{\link{gt_img_circle}()},
\code{\link{gt_img_multi_rows}()},
\code{\link{gt_img_rows}()},
\code{\link{gt_index}()},
\code{\link{gt_merge_stack}()},
\code{\link{gt_merge_stack_color}()},
\code{\link{gt_two_column_layout}()},
\code{\link{gtsave_extra}()},
\code{\link{img_header}()},
\code{\link{pad_fn}()},
\code{\link{tab_style_by_grp}()}
}
\concept{Utilities}
