% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gt_theme_dark.R
\name{gt_theme_dark}
\alias{gt_theme_dark}
\title{Apply dark theme to a \code{gt} table}
\usage{
gt_theme_dark(gt_object, ...)
}
\arguments{
\item{gt_object}{An existing gt table object of class \code{gt_tbl}}

\item{...}{Optional additional arguments to \code{gt::table_options()}}
}
\value{
An object of class \code{gt_tbl}.
}
\description{
Apply dark theme to a \code{gt} table
}
\section{Figures}{

\if{html}{\figure{gt_dark.png}{options: width=100\%}}
}

\section{Function ID}{

1-6
}

\examples{

library(gt)
dark_tab <- head(mtcars) \%>\%
  gt() \%>\%
  gt_theme_dark() \%>\%
  tab_header(title = "Dark mode table")

}
\seealso{
Other Themes: 
\code{\link{gt_plt_bullet}()},
\code{\link{gt_plt_conf_int}()},
\code{\link{gt_plt_dot}()},
\code{\link{gt_theme_538}()},
\code{\link{gt_theme_dot_matrix}()},
\code{\link{gt_theme_espn}()},
\code{\link{gt_theme_excel}()},
\code{\link{gt_theme_guardian}()},
\code{\link{gt_theme_nytimes}()},
\code{\link{gt_theme_pff}()}
}
\concept{Themes}
